PrefabFiles = {
	"wogmaw",
	"longsword",
	"spit",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wogmaw.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wogmaw.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wogmaw.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wogmaw.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/wogmaw_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wogmaw_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wogmaw.tex" ),
    Asset( "ATLAS", "bigportraits/wogmaw.xml" ),
	
	Asset( "IMAGE", "images/map_icons/wogmaw.tex" ),
	Asset( "ATLAS", "images/map_icons/wogmaw.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_wogmaw.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_wogmaw.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_wogmaw.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_wogmaw.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

local FRAMES = GLOBAL.FRAMES
local ACTIONS = GLOBAL.ACTIONS
local State = GLOBAL.State
local EventHandler = GLOBAL.EventHandler
local ActionHandler = GLOBAL.ActionHandler
local TimeEvent = GLOBAL.TimeEvent
local EQUIPSLOTS = GLOBAL.EQUIPSLOTS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.wogmaw = "The Mouth of the Abyss"
STRINGS.CHARACTER_NAMES.wogmaw = "Wog'Maw"
STRINGS.CHARACTER_DESCRIPTIONS.wogmaw = "*Ranged Attack\n*Likes all food and isn't picky\n*Always hungry"
STRINGS.CHARACTER_QUOTES.wogmaw = "\"Time to feast!\""

-- Custom speech strings
STRINGS.CHARACTERS.WOGMAW = require "speech_wogmaw"

-- The character's name as appears in-game 
STRINGS.NAMES.WOGMAW = "Wog'Maw"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WOGMAW = 
{
	GENERIC = "It's Wog'Maw!",
	ATTACKER = "That Wog'Maw looks shifty...",
	MURDERER = "Wog'Maw OP!",
	REVIVER = "Wog'Maw, friend of ghosts.",
	GHOST = "Wog'Maw could use a heart.",
}


AddMinimapAtlas("images/map_icons/wogmaw.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("wogmaw", "NEUTRAL")

GLOBAL.STRINGS.NAMES.LONGSWORD = "longsword"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.LONGSWORD = "'Property of Doran.'"

function RawMeat(inst)
	if not inst:HasTag("rawmeat") then
		inst:AddTag("rawmeat")
	end
end

AddPrefabPostInit("meat", RawMeat)
AddPrefabPostInit("smallmeat", RawMeat)
AddPrefabPostInit("drumstick", RawMeat)
AddPrefabPostInit("froglegs", RawMeat)
AddPrefabPostInit("batwing", RawMeat)
AddPrefabPostInit("trunk_summer", RawMeat)
AddPrefabPostInit("trunk_winter", RawMeat)
AddPrefabPostInit("humanmeat", RawMeat)
AddPrefabPostInit("plantmeat", RawMeat)
--AddPrefabPostInit("fish", RawMeat)
--AddPrefabPostInit("eel", RawMeat)