local assets =
{ 
    Asset("ANIM", "anim/longsword.zip"),
    Asset("ANIM", "anim/swap_longsword.zip"), 

    Asset("ATLAS", "images/inventoryimages/longsword.xml"),
    Asset("IMAGE", "images/inventoryimages/longsword.tex"),
}

local prefabs = 
{
}

local function fn(colour)

    local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_object", -- Symbol to override.
										"swap_longsword", -- Animation bank we will use to overwrite the symbol.
										"swap_longsword") -- Symbol to overwrite it with.
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    inst.entity:AddNetwork()
    MakeInventoryPhysics(inst)
	
	if not TheWorld.ismastersim then
        return inst
    end
    inst.entity:SetPristine()
    
    anim:SetBank("longsword")
    anim:SetBuild("longsword")
    anim:PlayAnimation("idle")
	
	inst:AddComponent("weapon")
	inst:AddTag("sharp")
    inst.components.weapon:SetDamage(25)

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "longsword"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/longsword.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(120)
    inst.components.finiteuses:SetUses(120)
	inst.components.finiteuses:SetOnFinished(inst.Remove)
	
    MakeHauntableLaunch(inst)

    return inst
end

return  Prefab("common/inventory/longsword", fn, assets, prefabs)