local assets =
{
    Asset("ANIM", "anim/spit.zip"),
}

local function OnThrown(inst, owner, target)
    if target ~= owner then
        owner.SoundEmitter:PlaySound("dontstarve/spider/spider_cave_spit_1")
		inst.AnimState:PlayAnimation("atk", true)
    end
	inst:DoTaskInTime(1, inst.Remove)
end

local function OnHit(inst, owner, target)
    if owner == target then
        inst:Remove()
    end
	inst.AnimState:PlayAnimation("splat", false)
	inst:DoTaskInTime(2, inst.Remove)
    local impactfx = SpawnPrefab("impact")
    if impactfx then
	    local follower = impactfx.entity:AddFollower()
	    follower:FollowSymbol(target.GUID, target.components.combat.hiteffectsymbol, 0, 0, 0 )
        impactfx:FacePoint(Vector3(inst.Transform:GetWorldPosition()))
    end
end

local function fn(Sim)

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    inst.entity:AddNetwork()
	
	if not TheWorld.ismastersim then
        return inst
    end
    inst.entity:SetPristine()
    
    anim:SetBank("spit")
    anim:SetBuild("spit")
    anim:PlayAnimation("idle")

	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(25)
    inst.components.weapon:SetRange(6,8)

	inst:AddComponent("projectile")
    inst.components.projectile:SetSpeed(20)
    inst.components.projectile:SetCanCatch(false)
    inst.components.projectile:SetHoming(false)
    inst.components.projectile:SetOnThrownFn(OnThrown)
    inst.components.projectile:SetOnHitFn(OnHit)
	
    return inst
end

return Prefab( "common/inventory/spit", fn, assets) 
